com.google.appengine.api.images

## Enum Image.Format

- java.lang.Object
- - java.lang.Enum<Image.Format>
  - - com.google.appengine.api.images.Image.Format

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Image.Format>
  Enclosing interface:
    Image

      public static enum Image.Format
      extends java.lang.Enum<Image.Format>

  Image formats usable by the images api.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BMP`
    `GIF`
    `ICO`
    `JPEG`
    `PNG`
    `TIFF`
    `WEBP`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Image.Format` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Image.Format[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PNG

          public static final Image.Format PNG

    - #### JPEG

          public static final Image.Format JPEG

    - #### GIF

          public static final Image.Format GIF

    - #### TIFF

          public static final Image.Format TIFF

    - #### BMP

          public static final Image.Format BMP

    - #### ICO

          public static final Image.Format ICO

    - #### WEBP

          public static final Image.Format WEBP

  - ### Method Detail

    - #### values

          public static Image.Format[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Image.Format c : Image.Format.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Image.Format valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null